<?php
  
$err_data = 0;

IF ($_SESSION['step'] != 2){
  
  $login = CLEARSPECIALCHARS(ADSL(POST('login')));
  IF (CONFIG('REG_MODE') == 2){$email = CLEARSPECIALCHARS(ADSL(POST('email')));}
  
  $_SESSION['login_reg'] = $login;
  IF (CONFIG('REG_MODE') == 2){$_SESSION['email_reg'] = $email;}
  
}ELSE{
  
  $login = CLEARSPECIALCHARS(ADSL($_SESSION['login_reg']));
  IF (CONFIG('REG_MODE') == 2){$email = CLEARSPECIALCHARS(ADSL($_SESSION['email_reg']));}
  
}

IF (CONFIG('REG_MODE') == 2){
  
  IF (!PREG_MATCH("/^(?:[a-z0-9]+(?:[-_.]?[a-z0-9]+)?@[a-z0-9_.-]+(?:\.?[a-z0-9]+)?\.[a-z]{2,5})$/i", $email)) {
    
    ERROR('Проверьте правильность адреса', 'session');
    $err_data = 1;
  
  }
  
  IF (STR($email) > 0){
    
    IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `EMAIL` = '".TEXT_ABSOLUTE($email)."'") == 1) {
      
      ERROR('Этот E-mail адрес уже зарегистрирован на сайте', 'session');
      $err_data = 1;    
    
    }
  
  }ELSE{
    
    ERROR('Вы не указали E-mail', 'session');
    $err_data = 1;    
  
  }

}

IF (STR($login) > CONFIG('REG_STR')){
  
  ERROR('Слишком длинный логин', 'session');
  $err_data = 1;

}

IF (STR($login) < 3){
  
  ERROR('Логин не может быть меньше 3 символов', 'session');
  $err_data = 1;
  
}

IF (CONFIG('REG_DOUBLE') == 0){
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `LOGIN` = '".TEXT_ABSOLUTE($login)."'") == 1) {
    
    ERROR('Этот логин уже занят. Придумайте другой', 'session');
    $err_data = 1;          
  
  }

}

IF (CONFIG('REG_LANG') == 1){
  
  IF (!PREG_MATCH("#^([A-z0-9\_])+$#ui", $login)) {
    
    ERROR('В логине присутствуют запрещенные символы', 'session');
    $err_data = 1;
  
  }
  
  IF (!PREG_MATCH("#[a-z]+#ui", $login)) {
    
    ERROR('В логине допускаются только буквы английского алфавита и цифры', 'session');
    $err_data = 1;
  
  }

}

IF (CONFIG('REG_LANG') == 2){
  
  IF (!PREG_MATCH("#^([А-я0-9\_])+$#ui", $login)) {
    
    ERROR('В логине присутствуют запрещенные символы', 'session');
    $err_data = 1;
  
  }
  
  IF (!PREG_MATCH("#[а-я]+#ui", $login)) {
    
    ERROR('В логине допускаются только буквы русского алфавита и цифры', 'session');
    $err_data = 1;
  
  }

}

IF (CONFIG('REG_LANG') == 0){
  
  IF (!PREG_MATCH("#^([A-zА-я0-9\_])+$#ui", $login)) {
    
    ERROR('В логине присутствуют запрещенные символы', 'session');
    $err_data = 1;
  
  }
  
  IF (!PREG_MATCH("#[а-яa-z]+#ui", $login)) {
    
    ERROR('В логине допускаются только буквы английского и русского алфавитов, а также цифры', 'session');
    $err_data = 1;
  
  }

}

IF (PREG_MATCH("#(^\ )|(\ $)#ui", $login)) {
  
  ERROR('Запрещено использовать пробел в начале и конце ника', 'session');
  $err_data = 1;

}

IF ($err_data == 1){
  
  REDIRECT('/?get=registration');

}  
  
?>